/**
 * @license
 * Copyright Meepo Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at http://meepo.com.cn/license
 */
(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common'], factory) :
	(factory((global.ng = global.ng || {}, global.ng['weui-loading'] = global.ng['weui-loading'] || {}),global.ng.core,global.ng.common));
}(this, (function (exports,_angular_core,_angular_common) { 'use strict';

/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
/* global Reflect, Promise */







function __decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}

exports.WeuiLoading = (function () {
    function WeuiLoading() {
        this._loading = true;
    }
    return WeuiLoading;
}());
__decorate([
    _angular_core.HostBinding('class.weui-loading')
], exports.WeuiLoading.prototype, "_loading", void 0);
exports.WeuiLoading = __decorate([
    _angular_core.Directive({
        selector: 'weui-loading',
    })
], exports.WeuiLoading);
var components = [
    exports.WeuiLoading
];
exports.WeuiLoadingModule = (function () {
    function WeuiLoadingModule() {
    }
    return WeuiLoadingModule;
}());
exports.WeuiLoadingModule = __decorate([
    _angular_core.NgModule({
        declarations: components.slice(),
        imports: [_angular_common.CommonModule],
        exports: components.slice(),
        providers: [],
    })
], exports.WeuiLoadingModule);

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=weui-loading.umd.js.map
